<?php

    /* Client-Funktionen */
    
    //bersicht
    
    /*
    
        getSetting($name)                       //Einstellungswert beziehen
        getValue($table, $field, $id)           //Wert aus einer Tabelle beziehen
        getNumberOfPages($type)                 //Anzahl der Seiten eines Typs (Kind, Eltern) beziehen
        getPageInfo($id, $field)                //Seiteninformation beziehen
        getNumberOfPageChildren($id)            //Anzahl der Kinder einer Elternseite herausfinden
        tryLoadPage($id)                        //Versuche eine Seite zu laden
        loadCSS()                               //Theme- und Browserabhngiges CSS-Stylesheet laden
        getLastID($table)                       //Letzte ID einer Tabelle beziehen
        getNumberOfEntries($table)              //Anzahl der Eintrge in einer Tabelle beziehen
        getNumberOfGuestbookEntries()           //Anzahl der Gstebuch-Eintrge beziehen
    
    */
    
    
    
    function getSetting($name)
    /* Einstellungswert beziehen */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Verbindung zur Datenbank herstellen
        get_db();
        
        //Datensatz auswhlen
        $sql = "SELECT VALUE FROM $db.$table_settings WHERE NAME='".mysql_real_escape_string($name)."';";
        
        //Ausgabe des Datensatzes --> testing
        //echo $sql;
        
        //Abfrage absetzen
        $res = send_sql($sql);
        
        //Inhalt der Abfrage im Array zwischenspeichern
        $temp = mysql_fetch_array($res);
        
        //Wurde der Befehl erfolgreich abgesetzt?
        if($res != true)
        {
        
            //Nein, Fehlercode bergeben
            return "ERR666";
        
        }
        else
        {
        
            //Ja, bergebe Inhalt
            return $temp[0];
        
        }
        
        //Verbindung zur Datenbank kappen
        close_db();
    
    }
    
    
    
    function getValue($table, $field, $id)
    /* Wert aus einer Tabelle beziehen */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Verbindung zur Datenbank herstellen
        get_db();
        
        //Datensatz auswhlen
        $sql = "SELECT $field FROM $db.$table WHERE ID='".mysql_real_escape_string($id)."';";
        
        //Ausgabe des Datensatzes --> testing
        //echo $sql;
        
        //Abfrage absetzen
        $res = send_sql($sql);
        
        //Inhalt der Abfrage im Array zwischenspeichern
        $temp = mysql_fetch_array($res);
        
        //Wurde der Befehl erfolgreich abgesetzt?
        if($res != true)
        {
        
            //Nein, Fehlercode bergeben
            return "ERR666";
        
        }
        else
        {
        
            //Ja, bergebe Inhalt
            return $temp[0];
        
        }
        
        //Verbindung zur Datenbank kappen
        close_db();
    
    }
    
    
    
    function getNumberOfPages($type)
    //Anzahl der Seiten eines Typs (Kind, Eltern) beziehen
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Verbindung zur Datenbank herstellen
        get_db();
        
        //Datensatz auswhlen
        if($type == "child")
        {
            $sql = "SELECT * FROM $db.$table_pages WHERE TYPE='1' AND IS_ENABLED='1';";
        }
        else
        {
            $sql = "SELECT * FROM $db.$table_pages WHERE TYPE='0' AND IS_ENABLED='1';";        
        }
        
        //Ausgabe des Datensatzes --> testing
        //echo $sql;
        
        //Abfrage absetzen
        $res = send_sql($sql);
        
        //Wurde der Befehl erfolgreich abgesetzt?
        if($res != true)
        {
        
            //Nein, Fehlercode bergeben
            return "ERR666";
        
        }
        else
        {
        
            //Ja, bergebe Inhalt
            return mysql_num_rows($res);
        
        }
        
        //Verbindung zur Datenbank kappen
        close_db();
    
    }
    
    
    
    function getPageInfo($id, $field)
    /* Seiteninformation beziehen */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Verbindung zur Datenbank herstellen
        get_db();
        
        //Datensatz auswhlen
        $sql = "SELECT $field FROM $db.$table_pages WHERE ID='".mysql_real_escape_string($id)."';";
        
        //Ausgabe des Befehls --> testing
        //echo $sql;
        
        //Befehl absetzen
        $res = send_sql($sql);
        
        //Inhalt der Abfrage im Array zwischenspeichern
        $temp = mysql_fetch_array($res);
        
        //Wurde der Befehl erfolgreich abgesetzt?
        if($res != true)
        {
        
            //Nein, Fehlercode bergeben
            return "ERR666";
        
        }
        else
        {
        
            //Ja, bergebe Inhalt
            return $temp[0];
        
        }
    
    }
    
    
    
    function getNumberOfPageChildren($id)
    /* Anzahl der Kinder einer Elternseite herausfinden */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Verbindung zur Datenbank herstellen
        get_db();
        
        //Datensatz auswhlen
        $sql = "SELECT * FROM $db.$table_pages WHERE CHILD_OF='".mysql_real_escape_string($id)."' AND TYPE='1'";
        
        //Ausgabe des Befehls --> testing
        //echo $sql;
        
        //Befehl absetzen
        $res = send_sql($sql);
        
        //Wurde der Befehl erfolgreich abgesetzt?
        if($res != true)
        {
        
            //Nein, Fehlercode bergeben
            return "ERR666";
        
        }
        else
        {
        
            //Ja, es sind Unterseiten vorhanden, bergebe Wert
            return mysql_num_rows($res);
        
        }
    
    }
    
    
    
    function tryLoadPage($id)
    /* Versuche eine Seite zu laden */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Wurde berhaupt eine ID angegeben
        if($id == 0)
        {
        
            //Es wurde keine ID angegeben
            
        }
        else
        {
        
            //Es wurde eine ID angegeben
            
            //Gibt es diese Seite berhaupt?  
            //if(mysql_num_rows(getValue($table_pages, "CONTENT", $id)) > 0)
            //echo getValue($table_pages, "CONTENT", 0);
            if(getValue($table_pages, "CONTENT", $id) != "")
            {
            
                //Ja, diese Seite existiert.
            
                //Ist die Seite aktiviert?
                if(getValue($table_pages, "IS_ENABLED", $id) == true)
                {
                
                    //Seite ist aktiviert
                    
                    //Ist die zugehrige Datei vorhanden?
                    if(is_file("pages/".getValue($table_pages, "CONTENT", $id)) == true)
                    {
                    
                        //Die Datei ist vorhanden
                        
                        //Datei einbinden
                        include("pages/".getValue($table_pages, "CONTENT", $id));
                    
                    }
                    else
                    {
                    
                        //Die Datei ist nicht vorhanden
                        echo "<b>Fehler</b>: Die mit der Seite verbundene Datei wurde entfernt.";
                    
                    }
                
                }
                else
                {
                
                    //Seite ist deaktiviert
                    echo "<b>Fehler</b>: Die von Ihnen angeforderte Seite ist deaktiviert und kann daher nicht eingesehen werden.";
                
                }
                
            }
            else
            {
            
                //Nein, diese Seite existiert nicht
                echo "<b>Fehler</b>: Die von Ihnen angeforderte Seite existiert nicht.";
            
            }
        
        }
    
    }
    
    
    
    function loadCSS()
    /* Eingestellte Theme-abhngige CSS-Stylesheet laden */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("includes/mistasc_functions.php");
        include("conf/db.php");        
    
        //Eingestellte Theme-ID herausfinden
        $theme_used = getSetting("THEME_USED");
        
        //Den dazu gehrigen Ordner-/Dateinamen heraufinden
        $theme_value = getValue($table_themes, "VALUE", $theme_id);
        
        //Ausgabe des Pfades --> testing
        //echo "<b>Pfad:</b> themes/$theme_value/$theme_value.css";
        
        //Versuche ein browserspezifisches CSS-Stylesheet zu laden
        $file_target = "themes/".$theme_value."/".$theme_value."_".substr(strtolower(getClientBrowser(getClientKey())),0,4).".css";
        
        //Ausgabe der CSS-Datei inkl. Pfad --> testing
        //echo $file_target;
        
        //Existiert diese Datei berhaupt?
        if(is_file($file_target) == true)
        {
        
            //Ja, die Datei existiert, lade das Stylesheet
            //echo "gibts";
        
        }
        else
        {
        
            //Nein, die Datei existiert nicht, versuche das Basis-Stylesheet zu laden
            $file_target = "themes/$theme_value/$theme_value.css";            
            
            //Existiert die Basis-Datei berhaupt?
            if(is_file($file_target) == false)
            {
            
                //Die Datei existiert nicht, lade das Grund-Theme
                $file_target="phpmycms.css";
            
            }
        
        }
        
        //Gebe das zu ladende Stylesheet aus --> testing
        //echo "<br />$file_target";
        
        //Lade das Stylesheet
        echo "<link rel='stylesheet' type='text/css' href='$file_target' />";
    
    }



    function getLastID($table)
    /* Letzte ID einer Tabelle beziehen */
    {
    
        //Wurde der Funktion berhaupt ein Wert bergeben?
        if($table != "")
        {
        
            //Es wurde ein Wert bergeben
            
            //Erweiterungen und Konfigurationen beziehen
            include("conf/db.php");
    
            //Verbindung zur Datenbank herstellen
            get_db();
        
            //Datensatz auswhlen
            $sql = "SELECT * FROM $db.$table ORDER BY ID DESC LIMIT 0,1;";
            
            //Abfrage durchfhren
            $res = send_sql($sql);
            
            //Wurde der Befehl erfolgreich ausgefhrt?
            if($res == true)
            {
            
                //Ja, der Befehl wurde erfolgreich ausgefhrt
                
                //Ergebnis in einem Array zwischenspeichern
                $temp = mysql_fetch_array($res);
                
                //Ergebnis bergeben
                return $temp[0];
                
            
            }
            else
            {
            
                //Der Befehl wurde nicht korrekt ausgefhrt
                return 666;
            
            }
        
        }
        else
        {
        
            //Es wurde kein Wert bergeben!
            return 700;
        
        }
        
    }



    function getNumberOfEntries($table)
    /* Anzahl der Eintrge in einer Tabelle beziehen */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
        
        //Verbindung zur Datenbank herstellen
        get_db();
            
        //Datensatz auswhlen
        $sql = "SELECT * FROM $db.$table;";
            
        //Ausgabe des Datensatzes --> testing
        //echo $sql;
            
        //Abfrage absetzen
        $res = send_sql($sql);
        
        //Wert bergeben
        return mysql_num_rows($res);
    
    }
    
    
    
    function getNumberOfGuestbookEntries()
    /* Anzahl der Gstebuch-Eintrge beziehen */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
        
        //Verbindung zur Datenbank herstellen
        get_db();
            
        //Datensatz auswhlen
        $sql = "SELECT * FROM $db.$table_guestbook WHERE PUBLISHED='1';";
            
        //Ausgabe des Datensatzes --> testing
        //echo $sql;
            
        //Abfrage absetzen
        $res = send_sql($sql);
        
        //Wert bergeben
        return mysql_num_rows($res);
    
    }

?>