<?php

    /* ACP-Funktionen */
    
    //bersicht
    
    /*
    
        newGuestbookEntries()                   	//Wurden neue Gstebuch-Eintrge verfasst?
	newTheme()					//Wurde ein neuer Gstebuch-Eintrag verfasst?
	loggedIn()					//Ist der Benutzer eingeloggt?
    
    */
    
    
    
    function newGuestbookEntries()
    /* Wurden neue Gstebuch-Eintrge verfasst? */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Verbindung zur Datenbank herstellen
        get_db();
        
        //Datensatz auswhlen
        $sql = "SELECT * FROM $db.$table_guestbook WHERE PUBLISHED='0';";
        
        //Ausgabe des Datensatzes --> testing
        //echo $sql;
        
        //Abfrage absetzen
        $res = send_sql($sql);
        
        if(mysql_num_rows($res) > 0)
        {
        
            //Ja, es gibt neue Gstebuch-Eintrge
            return true;
        
        }
        else
        {
        
            //Nein, es gibt keine neuen Gstebuch-Eintrge
            return false;
        
        }
    
    }
    
    
    
    function newTheme()
    /* Ist ein neues Thema vorhanden? */
    {
    
        if(is_file("../themes/install.php"))
        {
        
            //Es ist eine Installationsdatei vorhanden
            return true;
            
        }
        else
        {
        
            //Es ist keine Installationsdatei vorhanden
            return false;        
        
        }
    
    }
    
    
    
    function loggedIn()
    /* Ist der Benutzer eingeloggt? */
    {
    
	if($_SESSION['logged_in'] == true AND $_SESSION['ip'] == $_SERVER["REMOTE_ADDR"])
	{
		//Ja, der Benutzer ist eingeloggt
		return true;
	}
	else
	{
	
		//Der Benutzer ist nicht eingeloggt
		return false;
	
	}
    
    }
    
    
    
    function is_user($form_username)
    /* Gibt es berhaupt einen Benutzer mit diesem Namen? */
    {
    
	//Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Verbindung zur Datenbank herstellen
        get_db();
        
        //Datensatz auswhlen
        $sql = "SELECT * FROM $db.$table_users WHERE USERNAME='$form_username';";
        
        //Ausgabe des Datensatzes --> testing
        //echo $sql;
        
        //Abfrage absetzen
        $res = send_sql($sql);
        
        if(mysql_num_rows($res) > 0)
        {
        
            //Ja, es gibt einen solchen Benutzer
            return true;
        
        }
        else
        {
        
            //Nein, es gibt keinen solchen Benutzer
            return false;
        
        }
    
    }
    
    
    
    function valid_password($form_username, $form_password)
    /* Ist das Passwort richtig? */
    {
    
	//Erweiterungen und Konfigurationen beziehen
        include("conf/db.php");
    
        //Verbindung zur Datenbank herstellen
        get_db();
        
        //Datensatz auswhlen
        $sql = "SELECT PW_HASH FROM $db.$table_users WHERE USERNAME='$form_username';";
        
        //Ausgabe des Datensatzes --> testing
        //echo $sql;
        
        //Abfrage absetzen
        $res = send_sql($sql);
	
	//Array beziehen
	$pw_temp = mysql_fetch_array($res);
	
	//Stimmt das Passwort?
	if(md5($form_password) == $pw_temp[0])
	{
	
		//Ja, das Passwort stimmt
		return true;
	
	}
	else
	{
	
		//Nein, das Passwort stimmt nicht
		return false;
		
	}
    
    }
    
    
    
    function getModules()
    /* Module auflisten */
    {
        
	//Erweiterungen laden
	include("conf/db.php");

        //Verbindung zur Datenbank herstellen
        get_db();

	//Befehl aufsetzen
	
		//SQL-Befehl fr Filterung nach Benutzerrang(!!!)
		$sql = "SELECT * FROM $db.$table_modules WHERE `IS_ENABLED`='1' ORDER BY ID ASC";
	
	//Befehl absetzen
	$res = send_sql($sql);
	
	//Anzahl der Module beziehen
	$anzModule = mysql_num_rows($res);
	
	//Ausgabe der Module

		//Eventuelle vorherige Ausgabe terminieren
		$output = "";
		
		//bersicht anhngen
		$output .= "<li><a href='index.php' title='&Uuml;bersicht &uuml;ber das Portal'>&Uuml;bersicht</a></li>";
		
		//Ausgabe mit Schleife realisieren
		for($i=0;$i<$anzModule;$i++)
		{
			
			//$anzModule = mysql_num_rows($res);
			
			//Zwischenspeichern der Seiten in einem Array
			$module = mysql_fetch_array($res);
			
			//Darf der Benutzer dieses Modul sehen?
			if(isUserAllowed($_SESSION['session_username'], $module[0]) == true)
			{
			
				//Der Benutzer darf dieses Modul sehen
				$output .= "<li><a href='index.php?module=$module[3]' title='$module[2]'>:: $module[1]</a></li>";
			
			}
				
			
		}
		
		//Logout anhngen
		$output .= "<li><a href='index.php?mode=logout' title='Beendet die Sitzung'>Logout</a></li>";
		
		//Ausgabe vornehmen und anschlieend terminieren
		echo $output;
		$output = "";
    
    }
    
    
    
    function isUserAllowed($target_username, $mid)
    /* Darf dieser Benutzer dieses Modul sehen? */
    {
    
		//Wurde berhaupt ein Benutzername und eine Modul-ID bergeben?
		if($target_username != "" AND $mid != "")
		{
		
			//echo "$username desires module #$mid<br />";
		
			//Erweiterungen laden
			include("conf/db.php");
			
			//Verbindung zur Datenbank herstellen
			get_db();
			
			//Gruppen-ID des Benutzers beziehen
			
				//Befehl aufsetzen
				$sql_select = "SELECT `GROUP` FROM $db.$table_users WHERE `USERNAME`='$target_username';";
				
				//Ausgabe des Befehls --> testing
				//echo $sql_select;
				
				//Befehl absetzen
				$res_select = send_sql($sql_select);
				
				//Wurde der Befehl erfolreich abgesetzt?
				if($res_select == true)
				{
				
					//Ja, der Befehl wurde erfolgreich abgesetzt
					$foo = mysql_fetch_array($res_select);
					$group = $foo[0];
					
					//echo "his/her/its gid: <b>$group</b><br /><br />";
					
					//Beziehe Gruppenflag fr das Modul
					
						//Befehl aufsetzen
						$sql_select = "SELECT `FLAG` FROM $db.$table_module_permissions WHERE `MODULE_ID`='$mid' AND `GROUP`='$group';";
						
						//echo $sql_select;
					
						//Befehl absetzen
						$res_select=send_sql($sql_select);
						
						//Wurde der Befehl erfolgreich abgesetzt?
						if($res_select == true)
						{
						
							//Ja, der Befehl wurde erfolgreich abgesetzt
							$temp = mysql_fetch_array($res_select);
							
							//echo "Flag: <b>$temp[0]</b><br /><br />";
							
							//Darf der Benutzer das Modul sehen?
							if($temp[0] == 1)
							{
							
								//Ja, der Benutzer darf das Modul sehen
								return true;
							
							}
							else
							{
							
								//Nein, der Benutzer darf das Modul nicht sehen
								return false;
							
							}
							
						}
						else
						{
						
							//Nein, der Befehl konnte nicht erfolgreich abgesetzt werden --> bergebe Verbot
							return false;
						
						}
				
				}
				else
				{
				
					//Nein, der Befehl konnte nicht erfolgreich abgesetzt werden --> bergebe Verbot
					return false;
				
				}
				
		}
		else
		{
		
			//Es wurden nicht alle Felder bergeben --> bergebe Verbot
			return false;
		
		}
    
    }
    
    
    
    function moduleNameToID($module_name)
    /* Modulnamen in Modul-ID umrechnen */
    {
    
	//Wurde berhaupt ein Name angegeben?
	if($module_name != "")
	{
	
		//Ja, es wurde ein Modul-Name bergeben
		
			//Erweiterungen laden
			include("conf/db.php");
			
			//Verbindung zur Datenbank herstellen
			get_db();
			
			//Befehl ausetzen
			$sql_select = "SELECT `ID` from $db.$table_modules WHERE `VALUE`='$module_name';";
			
			//Ausgabe des Befehls --> testing
			//echo $sql_select;
			
			//Befehl absetzen
			$res_select = send_sql($sql_select);
			
			//Wurde der Befehl erfolgreich abgesetzt?
			if($res_select == true)
			{
			
				//Ja, der Befehl wurde erfolgreich abgesetzt
				
				//Array beziehen
				$temp = mysql_fetch_array($res_select);
				
				//Ausgabe der Modul-ID --> testing
				//echo $temp[0];
				
				return $temp[0];
				
			}
			else
			{
			
				//Nein, der Befehl konnte nicht erfolgreich abgesetzt werden --> bergebe Verbot
				return false;
			
			}
	
	}
	else
	{
	
		//Nein, es wurde kein Modul-Name bergeben --> bergebe Verbot
		return false;
	
	}
    
    }
    
    
    
    
	function module_activated($mid)
	/* Ist das Modul aktiviert? */
	{
	
		//Wurde berhaupt eine Modul-ID bergeben?
		if($mid != "")
		{
		
			//Es wurde eine Modul-ID bergeben
			
				//Erweiterungen laden
				include("conf/db.php");
			
				//Verbindung zur Datenbank herstellen
				get_db();
				
					//Befehl aufsetzen
					$sql_select = "SELECT `IS_ENABLED` FROM $db.$table_modules WHERE `ID`='$mid';";
					
					//Befehl absetzen
					$res_select = send_sql($sql_select);
					
					//Wurde der Befehl korrekt abgesetzt?
					if($res_select == true)
					{
					
						//Ja, der Befehl wurde korrekt abgesetzt
						
							//Array beziehen
							$temp = mysql_fetch_array($res_select);
							
							//Ist das Modul aktiviert?
							if($temp[0] == 1)
							{
							
								//Ja, das Modul ist aktiviert
								return true;
								
							}
							else
							{
							
								//Nein, das Modul ist deaktiviert
								return false;
							
							}
					
					}
					else
					{
					
						//Nein, der Befehl konnte nicht korrekt abgesetzt werden
						return false;
					
					}
				
				//Verbindung zur Datenbank trennen
				close_db();
			
		
		}
		else
		{
		
			//Es wurde keine Modul-ID bergeben
			return false;
		
		}
		
	}

?>