<script type="text/javascript" src="includes/tiny_mce/tiny_mce.js"></script>

<script type="text/javascript">

	tinyMCE.init({
		language : "de",
		mode : "textareas",
		theme : "advanced",
		theme_advanced_toolbar_location : "top",
		theme_advanced_buttons1 : "formatselect,bold,italic,underline,strikethrough,separator,"
		+ "justifyleft,justifycenter,justifyright,justifyfull,"
		+ "bullist,numlist,outdent,indent",
		theme_advanced_buttons2 : "link,unlink,anchor,image,separator,"
		+"undo,redo,cleanup,code,separator,charmap",
		theme_advanced_buttons3 : "",
		file_browser_callback : 'myFileBrowser'
	});
	
	/*function myFileBrowser (field_name, url, type, win) {
	var fileBrowserWindow = new Array();
	fileBrowserWindow['title'] = 'Datei-Browser';
	fileBrowserWindow['file'] = "includes/mce-browser.php" + "?type=" + type;
	fileBrowserWindow['width'] = '420';
	fileBrowserWindow['height'] = '400';
	tinyMCE.openWindow(fileBrowserWindow, { window : win, resizable : 'yes', inline : 'yes' });
	return false;
	}*/
	
	 function myFileBrowser (field_name, url, type, win) {
	 
	// alert("Field_Name: " + field_name + "\nURL: " + url + "\nType: " + type + "\nWin: " + win); // debug/testing
	
	/* If you work with sessions in PHP and your client doesn't accept cookies you might need to carry
	the session name and session ID in the request string (can look like this: "?PHPSESSID=88p0n70s9dsknra96qhuk6etm5").
	These lines of code extract the necessary parameters and add them back to the filebrowser URL again. */

	//var cmsURL = window.location.toString();    // script URL - use an absolute path!
	
	var cmsURL = '../../../mce-browser.php';
	
	if (cmsURL.indexOf("?") < 0) {
        //add the type as the only query parameter
        cmsURL = cmsURL + "?type=image" + type;
	}
	else {
	//add the type as an additional query parameter
        // (PHP session ID is now included if there is one at all)
        cmsURL = cmsURL + "&type=image" + type;
	}

	tinyMCE.activeEditor.windowManager.open({
        file : cmsURL,
        title : 'Datei-Manager',
        width : 420,  // Your dimensions may differ - toy around with them!
        height : 400,
        resizable : "yes",
        inline : "yes",  // This parameter only has an effect if you use the inlinepopups plugin!
        close_previous : "no"
	}, {
        window : win,
        input : field_name
	});
	return false;
	}

	
</script>