<h1>Statistiken</h1>
<br />

<?php

	//Statistiken-Modul 1.0
	
	/*
	
		2009 (c) By Christian Stankowic
		http://www.stankowic-development.net
		
		~ Your source for design and programming ~
	
	*/
	
	$group_id=1;
	
    //Erweiterungen und Konfigurationen beziehen
    //include("includes/global_functions.php");
    //include("includes/client_functions.php");
    include("conf/db.php");

    //Parameter beziehen
    $mode       = $_GET['mode'];
    $month      = $_GET['month'];
    if($_GET['delete'] == 1) { $mode="delete"; }
    
    //Ausgabe terminieren
    $ausgabe = "";
    
    //Fallunterscheidung
    if($mode == "delete")
    {
    
	//Beziehen der bertragenen Parameter
	$confirm	= $_GET['confirm'];
	
	//Wurde berhaupt ein Monat angegeben?
	if($month == "")
	{
	
		//Nein, es wurde kein Monat angegeben
		$ausgabe .= "<b>Fehler:</b> Es wurde kein Monat angegeben! Bitte &uuml;berpr&uuml;fen Sie, ob alle Felder ausgef&uuml;llt wurden.";
	
	}
	else
	{
	
		//Ja, es wurde ein Monat angegeben --> wurde das Lschen bereits besttigt?
		if($confirm == 1)
		{
		
			//Ja, das Lschen wurde bereits besttigt --> Verbindung zur Datenbank herstellen
			get_db();
			
			//Befehl aufsetzen
			$sql_drop = "DROP TABLE $db.$table_statistics_prefix$month;";
			
			//Ausgabe des Befehls --> testing
			//echo $sql_drop;
			
			//Befehl absetzen
			$res_drop = send_sql($sql_drop);
			
			//Wurde der Befehl korrekt abgesetzt?
			if($res_drop == true)
			{
			
				//Ja, der Befehl wurde korrekt abgesetzt
				$ausgabe .= "Die Statistiken f&uuml;r den ausgew&auml;hlten Monat wurden erfolgreich gel&ouml;scht.";
			
			}
			else
			{
			
				//Nein, der Befehl konnte nicht korrekt abgesetzt werden.
				$ausgabe .= "<b>Fehler:</b> Die Statistiken f&uuml;r den ausgew&auml;hlten Monat konnte nicht gel&ouml;scht werden - versuchen Sie es sp&auml;ter erneut oder benachrichtigen Sie den Administrator.";
			
			}
			
			//Verbindung zur Datenbank trennen
			close_db();
			
		
		}
		else
		{
		
			//Nein, das Lschen wurde noch nicht besttigt --> zeige den Dialog an
			$ausgabe .= "M&ouml;chten Sie die Statistiken f&uuml;r den ausgew&auml;hlten Monat wirklich l&ouml;schen? Dieser Schritt kann nicht mehr r&uuml;ckg&auml;ngig gemacht werden.<br /><br />";
			$ausgabe .= "<a href='index.php?module=statistics&ampgroup=1&amp;mode=delete&amp;month=$month&amp;confirm=1'>Ja</a> - <a href='index.php?module=statistics'>Nein</a>";
		
		}
	
	}
    
    }
    elseif($mode == "show")
    {
    
        //Statistiken fr einen Monat anzeigen
        
        //Wurde berhaupt ein Monat ausgewhlt?
        if($month != "")
        {
        
            //Ja, es wurde ein Monat ausgewhlt
            $ausgabe .= "Zugriffsstatistiken f&uuml;r ".substr($month, 0, 2)."/".substr($month, 2, 6).".<br /><br />";
            
            //Statistiken fr jede Seite nach Schleife einlesen
            $anzSeiten = (getNumberOfPages("child")+getNumberOfPages("parent"));
            
            //Ausgabe der Anzahl der Seiten --> testing
            //echo $anzSeiten;
            
            //Erweiterungen und Konfigurationen beziehen
            include("conf/db.php");
                                
            //Verbindung zur Datenbank herstellen
            get_db();
            
            //Gesamt-Statistiken beziehen
            
                //Anzahl aller Zugriffe (aller Seiten!) herausfinden
                $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month;
                $res = send_sql($sql);
                $anzZugriffeAllAll = mysql_num_rows($res);
                
                //Windows
                $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE OS LIKE 'Windows%';";
                $res = send_sql($sql);
                $anzZugriffeAllWin = mysql_num_rows($res);
                
                //Linux
                $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE OS LIKE 'Linux%';";
                $res = send_sql($sql);
                $anzZugriffeAllLinux = mysql_num_rows($res);
                
                //IE
                $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE BROWSER='Internet Explorer';";
                $res = send_sql($sql);
                $anzZugriffeAllIE = mysql_num_rows($res);
                
                //Firefox
                $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE BROWSER='Firefox';";
                $res = send_sql($sql);
                $anzZugriffeAllFirefox = mysql_num_rows($res);                
                
                //Opera
                $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE BROWSER='Opera';";
                $res = send_sql($sql);
                $anzZugriffeAllOpera = mysql_num_rows($res);
                
                //Gesamtstatistiken ausgeben
                
                    $ausgabe .= "<table class='formular'>";
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe' style='text-align:center;'><i>Gesamtzugriffe</i></td>";
                    $ausgabe .= "       <td class='vorgabe' style='width:120px; text-align:center;'><b>Zugriffe</b></td>";
                    $ausgabe .= "   </tr>";
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe'></td>";
                    $ausgabe .= "       <td class='vorgabe' style='width:30px; text-align:center;'><p style='font-size:7pt;'>Anzahl</p></td>";
                    $ausgabe .= "   </tr>";
                
                    //Windows
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe'>Windows Betriebssysteme:</td>";
                    $ausgabe .= "       <td class='inhalt' style='width:30px; text-align:center;'><b>$anzZugriffeAllWin</b></td>";
                    $ausgabe .= "   </tr>";
                    
                    //Linux
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe'>Linux-basierte Betriebssysteme:</td>";
                    $ausgabe .= "       <td class='inhalt' style='width:30px; text-align:center;'><b>$anzZugriffeAllLinux</b></td>";
                    $ausgabe .= "   </tr>";
                    
                    //Lcke
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td colspan='2' class='highlight' style='width:60px; height:20px;'></td>";
                    $ausgabe .= "   </tr>";                    
                
                    //Internet Explorer
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe'>Internet Explorer:</td>";
                    $ausgabe .= "       <td class='inhalt' style='width:30px; text-align:center;'><b>$anzZugriffeAllIE</b></td>";
                    $ausgabe .= "   </tr>";
                    
                    //Firefox
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe'>Firefox:</td>";
                    $ausgabe .= "       <td class='inhalt' style='width:30px; text-align:center;'><b>$anzZugriffeAllFirefox</b></td>";
                    $ausgabe .= "   </tr>";
                    
                    //Opera
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe'>Opera:</td>";
                    $ausgabe .= "       <td class='inhalt' style='width:30px; text-align:center;'><b>$anzZugriffeAllOpera</b></td>";
                    $ausgabe .= "   </tr>";
                    
                    //Lcke
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td colspan='2' class='highlight' style='width:60px; height:20px;'></td>";
                    $ausgabe .= "   </tr>";
                    
                    //Alle Zugriffe
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe' style='text-align:right'><b>insgesamt:</b></td>";
                    $ausgabe .= "       <td class='inhalt' style='width:30px; text-align:center;'><b>$anzZugriffeAllAll</b></td>";
                    $ausgabe .= "   </tr>";                    
                
                //Tabelle abschlieen
                $ausgabe .= "</table>";
                
                //Lcke einfgen
                $ausgabe .= "<br /><br /><br />";
                
                //berschrift einfgen
                $ausgabe .= "<h2>Seitenspezifische Statistiken</h2>";
                
            
            for($i=1;$i<$anzSeiten;$i++)
            {
            
                //Kopfdaten beziehen
            
                    //Gesamtzugriffe
                    $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE PAGE='$i';";
                    $res = send_sql($sql);
                    $anzZugriffeSeiteAll = mysql_num_rows($res);
                    
                    //Windows
                    $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE PAGE='$i' AND OS LIKE 'Windows%';";
                    $res = send_sql($sql);
                    $anzZugriffeSeiteWin = mysql_num_rows($res);
                    
                    //Linux
                    $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE PAGE='$i' AND OS LIKE 'Linux%';";
                    $res = send_sql($sql);
                    $anzZugriffeSeiteLinux = mysql_num_rows($res);
                    
                    //IE
                    $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE PAGE='$i' AND BROWSER='Internet Explorer';";
                    $res = send_sql($sql);
                    $anzZugriffeSeiteIE = mysql_num_rows($res);
                    
                    //Firefox
                    $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE PAGE='$i' AND BROWSER='Firefox';";
                    $res = send_sql($sql);
                    $anzZugriffeSeiteFirefox = mysql_num_rows($res);
                    
                    //Opera
                    $sql = "SELECT * FROM ".$db.".".$table_statistics_prefix.$month." WHERE PAGE='$i' AND BROWSER='Opera';";
                    $res = send_sql($sql);
                    $anzZugriffeSeiteOpera = mysql_num_rows($res);
                
                //Tabelle beginnen
                $ausgabe .= "<table style='background-color:#666666; width:450px; margin-left:auto; margin-right:auto;'>";
                                                    
                //Informationen ausgeben

                    //Header
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe' style='text-align:center;'><i>".getPageInfo($i, "TITLE")."</i></td>";
                    $ausgabe .= "       <td class='vorgabe' colspan='3' style='width:180px; text-align:center;'><b>Zugriffe</b></td>";
                    $ausgabe .= "   </tr>";
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td></td>";
                    $ausgabe .= "       <td class='vorgabe' style='width:60px; text-align:center;'><p style='font-size:7pt;'>Anzahl</p></td>";
                    $ausgabe .= "       <td class='vorgabe' style='width:60px; text-align:center;'><p style='font-size:7pt;'>Prozent der Seitenzugriffe</p></td>";
                    $ausgabe .= "       <td class='vorgabe' style='width:60px; text-align:center;'><p style='font-size:7pt;'>Prozent der Gesamtzugriffe</p></td>";
                    $ausgabe .= "   </tr>";
                    
                    //Arrays festlegen
                    $seite = array($anzZugriffeSeiteWin, $anzZugriffeSeiteLinux, $anzZugriffeSeiteIE, $anzZugriffeSeiteFirefox, $anzZugriffeSeiteOpera);
                    $all = array($anzZugriffeAllWin, $anzZugriffeAllLinux, $anzZugriffeAllIE, $anzZugriffeAllFirefox, $anzZugriffeAllOpera);
                    $description = array("Windows-Betriebssysteme:", "Linux-basierte Betriebssysteme:", "Internet Explorer:", "Mozilla Firefox:", "Opera:");
                    
                    for($il=0;$il<5;$il++)
                    {
                    
                        $ausgabe .= "   <tr>";
                        $ausgabe .= "       <td class='vorgabe'>$description[$il]</td>";
                        $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:right;'><b>$seite[$il]</b></td>";
                        if($anzZugriffeSeiteAll == 0)
                        {
                            //Division durch Null
                            $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:right;'><b>0%</b></td>";
                        }
                        else
                        {
                            $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:right;'><b>".round((($seite[$il]/$anzZugriffeSeiteAll)*100),2)."%</b></td>";
                        }
                        
                        if($anzZugriffeAllAll == 0)
                        {
                            //Division durch Null
                            $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:right;'><b>0%</b></td>";
                        }
                        else
                        {
                            $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:right;'><b>".round((($seite[$il]/$anzZugriffeAllAll)*100),2)."%</b></td>";
                        }
                        
                        $ausgabe .= "   </tr>";
                        
                    }
                    
                    $ausgabe .= "   <tr>";
                    $ausgabe .= "       <td class='vorgabe' style='text-align:right'><b>insgesamt:</b></td>";
                    $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:center;'><b>$anzZugriffeSeiteAll</b></td>";
                    $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:right;'><i>100%</i></td>";
		    
                    if($anzZugriffeAllAll == 0)
                    {
                        //Division durch Null
                        $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:right;'><b>0%</b></td>";
                    }
                    else
                    {
                        $ausgabe .= "       <td class='inhalt' style='width:60px; text-align:right;'><b>".round((($anzZugriffeSeiteAll/$anzZugriffeAllAll)*100),2)."%</b></td>";
                    }
                    $ausgabe .= "   </tr>";
                
                //Tabelle abschlieen
                $ausgabe .= "</table>";
                
                //Lcke einfgen
                $ausgabe .= "<br /><br />";
            
            }
            
            //Verbindung zur Datenbank trennen
            close_db();

        
        }
        else
        {
        
            //Nein, es wurde kein Monat ausgewhlt
            $ausgabe .= "<b>Fehler:</b> Es wurde kein Monat ausgew&auml;hlt, wom&ouml;glich sind Sie einem falschen Link gefolgt.";
        
        }
    
    }
    else
    {
    
            //Formular soll angezeigt werden
            
            //Sind berhaupt schon Daten vorhanden?
            
                //Verbindung zur Datenbank herstellen
                get_db();
            
                //Befehl aufsetzen
                $sql = "SHOW TABLES FROM $db LIKE 'stat_%'";
                                            
                //Ausgabe des Befehls --> testing
                //echo $sql;                                        
                                            
                //Befehl absetzen
                $res = send_sql($sql);
                
                if(mysql_num_rows($res) == 0)
                {
                    
                    //Es sind noch keine Tabellen vorhanden
                    $ausgabe .= "<b>Fehler:</b> Es sind noch keine Statistiken vorhanden, da es noch keine Zugriffe gab!";
                    
                }
                else
                {
                
                    //Es sind Tabellen vorhanden --> zeige Auswahlmen an!
                    $ausgabe .= "Bitte w&auml;hlen Sie einen Monat aus um fortzufahren:<br /><br />";
                    
                    //Formular beginnen
                    $ausgabe .= "<form action='index.php?module=statistics&amp;group=$group_id&amp;mode=show' method='get'>";
                    
                    $ausgabe .= "   <div>";
		    
			$ausgabe .= "		<input type='hidden' name='module' value='statistics' />";
			$ausgabe .= "		<input type='hidden' name='group' value='$group_id' />";
			$ausgabe .= "		<input type='hidden' name='mode' value='show' />";
		    
                    $ausgabe .= "       <select name='month' size='1'>";
                    
                    //Ausgabe der Monatsliste
                    

                                                        
                        for($i=0;$i<mysql_num_rows($res);$i++)
                        {
                                                        
                            $table = mysql_fetch_array($res);
                            $ausgabe .= "<option value='".substr($table[0], 5, 6)."'>".substr($table[0],5,2)."/".substr($table[0],7,4)."</option>";

                        }
                                                                    
                        $ausgabe .= "           </select>";
                    
                    $ausgabe .= "       <input type='submit' value='Weiter' />";
		    
		    $ausgabe .= "       <input type='checkbox' name='delete' value='1' /> L&ouml;schen";
		    
                    $ausgabe .= "   </div>";
                    
                    //Formular abschlieen
                    $ausgabe .= "</form>";
                    
                }
    
    }
    
    //Ausgabe vornehmen
    echo $ausgabe;
    
?>