<?php

	/* Theme-Funktionen */
    
	//bersicht
    
	/*
    
		loadCSS();				//Browserspezifisches CSS laden
		
		getLinks("<li>", "</li>");	//Links in Tags ausgeben
		getContent();				//Inhalt ausgeben
		
		getFileTime($file)			//Letzte nderungszeit einer Datei beziehen
		
		getPageInformation($type)	//Seiteninformationen beziehen

	*/
	
	
	
	function loadCSS()
	/*Browserspezifisches CSS laden*/
	{
		
		//Erweiterungen und Konfigurationen beziehen
		include("conf/db.php");        
		
		//Eingestellte Theme-ID herausfinden
		$theme_used = getSetting("THEME_USED");
		
		//Den dazu gehrigen Ordner-/Dateinamen heraufinden
		$theme_value = getValue($table_themes, "VALUE", $theme_used);
		
		//Ausgabe des Pfades --> testing
		//echo "<b>Pfad:</b> themes/$theme_value/$theme_value.css";
		
		//Versuche ein browserspezifisches CSS-Stylesheet zu laden
		$file_target = "themes/".$theme_value."/".$theme_value."_".substr(strtolower(getClientBrowser(getClientKey())),0,4).".css";
		
		//Ausgabe der CSS-Datei inkl. Pfad --> testing
		//echo $file_target;
		
		//Existiert diese Datei berhaupt?
		if(is_file($file_target) == true)
		{
		
			//Ja, die Datei existiert, lade das Stylesheet
			//echo "gibts";
		
		}
		else
		{
		
			//Nein, die Datei existiert nicht, versuche das Basis-Stylesheet zu laden
			$file_target = "themes/$theme_value/$theme_value.css";            
			
			//Existiert die Basis-Datei berhaupt?
			if(is_file($file_target) == false)
			{
			
				//Die Datei existiert nicht, lade das Grund-Theme
				$file_target="phpmycms.css";
			
			}
		
		}
		
		//Gebe das zu ladende Stylesheet aus --> testing
		//echo "<br />$file_target";
		
		//Lade das Stylesheet
		echo "<link rel='stylesheet' type='text/css' href='$file_target' />";
    
	}
	
	
	
	function getFileTime($file)
	/*Letzte nderungszeit einer Datei beziehen*/
	{
	
		
	
	}
	
	
	
	function getPageInformation()
	/*Seiteninformationen beziehen*/
	{
	
		//Erweiterungen und Konfigurationen beziehen
		include("conf/db.php");        
		
		$bla = array();
		
		//Informationen beziehen
		$sql_selection = "SELECT `ID`, `TYPE`, `CHILD_OF`, `TITLE`, `CONTENT` FROM $db.$table_pages ORDER BY ID ASC;";
		
		//Befehl absetzen
		$res_selection = send_sql($sql_selection);
		
		//Wurde der Befehl korrekt abgesetzt?
		if($res_selection == true)
		{
		
			//Ja, wurde er --> beziehe die Informationen
			for($i=0;$i<mysql_num_rows($res_selection);$i++)
			{
			
				//Nchsten Eintrag im Array beziehen
				$page = mysql_fetch_array($res_selection);
				
				$bla[$i][0] = $page[0];	//ID
				$bla[$i][1] = $page[1];	//TYPE
				$bla[$i][2] = $page[2];	//CHILD_OF
				$bla[$i][3] = $page[3];	//TITLE
				$bla[$i][4] = $page[4];	//CONTENT
				
			
			}
			
			//Array zurckgeben
			return $bla;
		
		}
	
	}


?>