<?php

    /* Mistasc-Funktionen v.0.5 */
    
    //bersicht
    
    /*
    
        getClientKey()                                          //Client-Key beziehen
        getClientOS($key)                                       //Betriebssystem des Clients herausfinden
        getClientBrowser($key)                                  //Browser des Clients herausfinden
        getClientLang($key)                                     //Sprache des Clients herausfinden
        getClientIP()                                           //IP-Adresse des Clients herausfinden
        insertToDB($page, $os, $browser, $lang, $ip)            //Eintragung in die Datenbank vornehmen
    
    */
    
    
    
    function getClientKey()
    /* Client-Key beziehen */
    {
    
        return $_SERVER['HTTP_USER_AGENT'];
    
    }
    
    
    
    function getClientOS($key)
    /* Betriebssystem des Clients herausfinden */
    {

        //Wurde berhaupt ein Key angegeben?
        if($key == "")
        {
        
            //Es wurde kein Key angegeben
            return 700;
        
        }
        else
        {
            //Es wurde ein Key angegeben
            if(preg_match('=WIN=i',$key))
            {
                if(preg_match('=NT=i',$key))
                {
                    if(preg_match('=5.1=',$key))
                    {    
                        $os="Windows XP";        
                    }
                    elseif(preg_match('=5.0=',$key)) 
                    {        
                        $os="Windows 2000";            
                    }
                }
                else
                {
                    if(preg_match('=ME=',$key)) 
                    {        
                        $os="Windows ME";            
                    }
                    elseif(preg_match('=98=',$key))
                    {        
                        $os="Windows 98";            
                    }
                    elseif(preg_match('=95=',$key))
                    {        
                        $os="Windows 95";            
                    }
                }
            }
            elseif(preg_match('=MAC=i',$key))
            {    
                $os="Macintosh";        
            }
            elseif(preg_match('=LINUX=i',$key))
            {    
                $os="Linux";        
            }
            else
            {
                $os="Unknown";
            }
            
            //Betriebssystem-Wert zurckgeben
            return $os;
            
        }
    
    }
    
    
    
    function getClientBrowser($key)
    /* Browser des Clients herausfinden */
    {
    
        //Wurde berhaupt ein Key angegeben?
        if($key == "")
        {
        
            //Es wurde kein Key angegeben
            return 700;
        
        }
        else
        {
            //Es wurde ein Key angegeben        
            if(preg_match('=MSIE=i',$key))
            {
                $browser="Internet Explorer";
            }
            elseif(preg_match('=FIREFOX=i',$key))
            {
                $browser="Firefox";
            }
            elseif(preg_match('=OPERA=i',$key))
            {
                $browser="Opera";
            }elseif(preg_match('=FIREBIRD=i',$key))
            {
                $browser="Firebird";
            }
            elseif(preg_match('=AOL=i',$key))
            {
                $browser="AOL";
            }
            else
            {
                $browser="Unknown";
            }
            
            //Rckgabe des Browsers
            return $browser;
            
        }
    
    }
    
    
    
    function getClientLang($key)
    /* Die Sprache des Clients herausfinden */
    {
    
        //Wurde berhaupt ein Key angegeben?
        if($key == "")
        {
        
            //Es wurde kein Key angegeben
            return 700;
        
        }
        else
        {
            //Es wurde ein Key angegeben
            if(preg_match('=DE=i',$key))
            {
                $language="Germany";
            }
            elseif(preg_match('=EN=i',$key))
            {
                $language="England";
            }
            elseif(preg_match('=US=i',$key))
            {
                $language="USA";
            }
            elseif(preg_match('=FR=i',$key))
            {
                $language="France";
            }
            elseif(preg_match('=IT=i',$key))
            {
                $language="Italy";
            }
            elseif(preg_match('=CA=i',$key))
            {
                $language="Canada";
            }
            elseif(preg_match('=EC=i',$key))
            {
                $language="Equador";
            }
            elseif(preg_match('=MX=i',$key))
            {
                $language="Mexico";
            }
            elseif(preg_match('=CH=i',$key))
            {
                $language="China";
            }
            elseif(preg_match('=JP=i',$key))
            {
                $language="Japan";
            }
            elseif(preg_match('=SG=i',$key))
            {
                $language="Singapour";
            }
            elseif(preg_match('=KP=i',$key))
            {
                $language="Korea";
            }
            elseif(preg_match('=BE=i',$key))
            {
                $language="Belgium";
            }
            elseif(preg_match('=CH=i',$key))
            {
                $language="Switzerland";
            }
            elseif(preg_match('=CZ=i',$key))
            {
                $language="Czech Republic";
            }
            elseif(preg_match('=ES=i',$key))
            {
                $language="Spania";
            }
            elseif(preg_match('=HU=i',$key))
            {
                $language="Hungary";
            }
            elseif(preg_match('=NL=i',$key))
            {
                $language="Netherlands";
            }
            elseif(preg_match('=PL=i',$key))
            {
                $language="Poland";
            }
            elseif(preg_match('=RU=i',$key))
            {
                $language="Russia";
            }
            elseif(preg_match('=TR=i',$key))
            {
                $language="Turkey";
            }
            elseif(preg_match('=UA=i',$key))
            {
                $language="Ukraine";
            }
            elseif(preg_match('=UK=i',$key))
            {
                $language="United Kingdom";
            }
            else
            {
                $language="Unknown";
            }
        }
        
        //Rckgabe der Sprache
        return $language;
    
    }
    
    
    
    function getClientIP()
    /* IP-Adresse des Clients herausfinden */
    {
    
        return $_SERVER["REMOTE_ADDR"];
    
    }
    
    
    
    function insertToDB($page, $os, $browser, $lang, $ip)
    /* Eintragung in die Datenbank vornehmen */
    {
    
        //Erweiterungen und Konfigurationen beziehen
        include("./includes/client_functions.php");
        include("../conf/db.php");
    
        //Ist Mistasc berhaupt erlaubt?
        if(getSetting("MISTASC_ENABLED") == true)
        {
        
            //Mistasc ist erlaubt
            //echo "Mistasc erlaubt.";
        
        }
    
    }

?>