<h1>G&auml;stebuch</h1>
<br />

<?php

	//Gstebuch-Modul 1.0
	
	/*
	
		2009 (c) By Christian Stankowic
		http://www.stankowic-development.net
		
		~ Your source for design and programming ~
	
	*/
	
	$group_id=1;

	//Erweiterungen und Konfigurationen beziehen
	include("conf/db.php");

	//Parameter beziehen
	$mode      = $_GET['mode'];
	$id 		= $_GET['id'];
    
	//Ausgabe terminieren
	$ausgabe = "";
    
	//Fallunterscheidung
	switch($mode)
	{
		
		case "flush":			//Alle Gaestebuch-Eintraege loeschen
							
								//Aktion beziehen
								$action 	= $_GET['action'];
								
								//Wurde die Loeschung bestaetigt?
								if($action == "confirm")
								{
								
									//Ja, die Loeschung wurde bestaetigt
									
										//Verbindung zur Datenbank herstellen
										get_db();
										
											//Befehl aufsetzen
											$sql_deletion = "TRUNCATE TABLE $db.$table_guestbook;";
											
											//Befehl ausgeben --> testing
											//echo $sql_deletion;
											
											//Befehl absetzen
											$res = send_sql($sql_deletion);
											
											//Wurde der Befehl korrekt abgesetzt?
											if($res == true)
											{
											
												//Ja, der Befehl wurde korrekt abgesetzt
												$ausgabe .= "Das G&auml;stebuch wurde geleert!<br />";
											
											}
											else
											{
											
												//Nein, der Befehl konnte nicht korrekt abgesetzt werden
												$ausgabe .= "<b>Fehler:</b> Der Befehl konnte nicht korrekt abgesetzt werden.<br />";
											
											}
										
										//Verbindung zur Datenbank trennen
										close_db();
								
								}
								else
								{
								
									//Nein, die Loeschung wurde angefordert
									$ausgabe .= "Sie sind im Begriff, <b>alle</b> G&auml;stebuch-Eintr&auml;ge zu l&ouml;schen. Dieser terminatorische Schritt kann <b>NICHT</b> r&uuml;ckg&auml;ngig gemacht werden!<br /><br />M&ouml;chten Sie diesen Schritt wirklich ausf&uuml;hren?<br /><br /><a href='index.php?module=guestbook&amp;group=$group_id&amp;mode=flush&amp;action=confirm'>Ja</a> | <a href='index.php?module=guestbook&amp;group=$group_id'>Nein</a>";
								
								}
							
							
							break;
		
		case "delete":			//Lschen eines Eintrags
								
								//Aktion beziehen
								$id		= $_GET['id'];
								$action 	= $_GET['action'];
								
								//Wurde eine ID angegeben?
								if($id == "")
								{
									
									//Es wurde keine ID angegeben
									$ausgabe .= "<b>Fehler:</b> Es wurde keine ID erkannt, vielleicht sind sie einem falschen Link gefolgt?<br />";
										
								}
								else
								{
									
									//Es wurde eine ID angegeben --> Wurde das Lschen besttigt?
									if($action == "confirm")
									{
									
										//Ja, das Lschen wurde besttigt --> Verbindung zur Datenbank herstellen
										get_db();
										
											//Befehl aufsetzen
											$sql_deletion = "DELETE FROM $db.$table_guestbook WHERE ID='".mysql_real_escape_string($id)."';";
											
												//Befehl ausgeben --> testing
												//echo $sql_deletion;
												
											//Befehl absetzen
											$res_deletion = send_sql($sql_deletion);
											
											//Wurde der Befehl korrekt abgesetzt?
											if($res_deletion == true)
											{
											
												//Ja, der Befehl wurde korrekt abgesetzt
												$ausgabe .= "Der Eintrag wurde korrekt gel&ouml;scht!<br />";
											
											}
											else
											{
											
												//Nein, der Befehl konnte nicht korrekt abgesetzt werden
												$ausgabe .= "<b>Fehler:</b> Der Befehl konnte nicht abgesetzt werden.<br />";
											
											}
										
										//Verbindung zur Datenbank trennen
										close_db();
										
									}
									else
									{
									
										//Nein, das Lschen wurde nicht besttigt
										$ausgabe .= "Wollen Sie diesen Eintrag wirklich l&ouml;schen? Dieser Schritt kann nicht r&uuml;ckg&auml;ngig gemacht werden.<br /><br /><a href='index.php?module=guestbook&amp;group=$group_id&amp;mode=delete&amp;action=confirm&amp;id=$id'>Ja</a> | <a href='index.php?module=guestbook&amp;group=$group_id'>Nein</a>";
											
									}

								}
								
							break;
							
							
							
		case "modify":			//Eintrag modifizieren
		
								//Aktion und ID beziehen
								$action 	= $_GET['action'];
								$id 		= $_GET['id'];
								
								//Wurde das Modifizieren besttigt?
								if($action == "confirm")
								{
								
									//Ja, das Modifizieren wurde besttigt
									//$ausgabe .= "Das Modifizieren wurde best&auml;tigt.";
									
									//Wurde eine ID angegeben?
									if($id == "")
									{
									
										//Es wurde keine ID angegeben
										$ausgabe .= "<b>Fehler:</b> Es wurde keine ID erkannt, vielleicht sind sie einem falschen Link gefolgt?<br />";
										
									}
									else
									{
									
										//Es wurde eine ID angegeben
										
											//bertragene Informationen beziehen
											$published  	= $_POST['PUBLISHED'];
											$name       	= $_POST['NAME'];
											$email      	= $_POST['EMAIL'];
											$website    	= $_POST['WEBSITE'];
											$entry      	= $_POST['ENTRY'];
											
											//nderungen speichern
											
												//Verbindung zur Datenbank herstellen
												get_db();
												
													//Befehl aufsetzen
													$sql_update = "UPDATE $db.$table_guestbook SET PUBLISHED='".mysql_real_escape_string($published)."', NAME='".mysql_real_escape_string(convertUmlauts($name))."', EMAIL='".mysql_real_escape_string($email)."', WEBSITE='".mysql_real_escape_string($website)."', ENTRY='".mysql_real_escape_string(convertUmlauts($entry))."' WHERE ID='".mysql_real_escape_string($id)."';";
													
														//Befehl ausgeben --> testing
														//echo $sql_update;
													
													//Befehl absetzen
													$res_update = send_sql($sql_update);
													
													//Wurde der Befehl korrekt abgesetzt?
													if($res_update == true)
													{
												    
														//Ja, der Befehl wurde korrekt abgesetzt
														$ausgabe .= "Die &Auml;nderungen wurden erfolgreich gespeichert!<br />";
														
													}
													else
													{
													
														//Nein, der Befehl wurde nicht korrekt abgesetzt
														$ausgabe .= "<b>Fehler:</b> Die Datenbank konnte nicht abgefragt werden<br />";
													
													}
												
												//Verbindung zur Datenbank trennen
												close_db();
									
									}
									
								}
								else
								{
								
									//Nein, das Modifizieren wurde nicht besttigt --> Eintrag editieren
                                        
										//Verbindung zur Datenbank herstellen
										get_db();
									    
										//Befehl aufsetzen
										$sql_selection = "SELECT * FROM $db.$table_guestbook WHERE ID='".mysql_real_escape_string($id)."';";
									    
										//Befehl ausgeben --> testing
										//echo $sql_selection;
									    
										//Befehl ausfhren
										$res_selection = send_sql($sql_selection);
									    
										//Wurde der Befehl korrekt abgesetzt?
										if($res_selection == true)
										{
									    
											//Ja, der Befehl wurde korrekt abgesetzt
										
											//Eintrag in einem Array zwischenspeichern
											$eintrag = mysql_fetch_array($res_selection);
											
											//Formular einleiten
											$ausgabe .= "<form action='index.php?module=guestbook&amp;group=$group_id&amp;mode=modify&amp;action=confirm&amp;id=$id' method='post'>";
											
											//Timestamp und ID unsichtbar bergeben
											$ausgabe .= "   <div><input type='hidden' name='id' value='$id' /><input type='hidden' name='timestamp' value='$eintrag[2]' /></div>";
											
											//Tabelle einleiten
											$ausgabe .= "   <table class='formular'>";
														
											//Informationen ausgeben
														
												//Datum/Uhrzeit
												$ausgabe .= "       <tr>";
												$ausgabe .= "           <td class='vorgabe' style='width:200px;'><b>Datum/Uhrzeit:</b></td>";
												$ausgabe .= "           <td class='inhalt'><i>".date("d.m.Y, H:i", $eintrag[2])." Uhr</i></td>";
												$ausgabe .= "       </tr>";
													    
												//Name
												$ausgabe .= "       <tr>";
												$ausgabe .= "           <td class='vorgabe' style='width:200px;'><b>Name:</b></td>";
												$ausgabe .= "           <td class='inhalt'><input type='text' name='NAME' value='$eintrag[3]' size='30' /></td>";
												$ausgabe .= "       </tr>";
														
												//EMail
												$ausgabe .= "       <tr>";
												$ausgabe .= "           <td class='vorgabe' style='width:200px;'><b>E-Mail:</b></td>";
												if($eintrag[5] == 1)
												{
													//versteckte E-Mail-Adresse
													$ausgabe .= "           <td class='inhalt'><input type='text' name='EMAIL' value='$eintrag[4]' /> (versteckt)</td>";
												}
												else
												{
													$ausgabe .= "           <td class='inhalt'><input type='text' name='EMAIL' value='$eintrag[4]' /></td>";
												}
												$ausgabe .= "       </tr>";
														
												//Web
												$ausgabe .= "       <tr>";
												$ausgabe .= "           <td class='vorgabe' style='width:200px;'><b>Webseite:</b></td>";
												$ausgabe .= "           <td class='inhalt'><input type='text' name='WEBSITE' value='$eintrag[6]' size='30' /></td>";
												$ausgabe .= "       </tr>";
														
												//Aktiviert?
												$ausgabe .= "       <tr>";
												$ausgabe .= "           <td class='vorgabe' style='width:200px;'><b>Aktiviert:</b></td>";
												if($eintrag[1] == "1")
												{
													$ausgabe .= "           <td class='inhalt'><select name='PUBLISHED' size='1'><option value='1' selected='selected'>Ja</option><option value='0'>Nein</option></select></td>";
												}
												else
												{
													$ausgabe .= "           <td class='inhalt'><select name='PUBLISHED' size='1'><option value='1'>Ja</option><option value='0' selected='selected'>Nein</option></select></td>";
												}
												$ausgabe .= "       </tr>";
												    
											    //Eintrag
											    $ausgabe .= "       <tr>";
											    $ausgabe .= "           <td class='vorgabe' style='width:200px;'><b>Eintrag:</b></td>";
											    $ausgabe .= "           <td class='inhalt'><textarea name='ENTRY' rows='10' cols='30'>$eintrag[7]</textarea></td>";
											    $ausgabe .= "       </tr>";
														
											    //Datum/Uhrzeit
											    $ausgabe .= "       <tr>";
											    $ausgabe .= "           <td colspan='2' class='vorgabe' style='width:200px; text-align:right;'><input type='submit' value='Ausf&uuml;hren' /></td>";
											    $ausgabe .= "       </tr>";
											
											//Tabelle und Formular abschlieen
											$ausgabe .= "   </table></form>";
											
											//Absatz einfgen
											$ausgabe .= "<br />";
										
										}
										else
										{
										
											//Nein, der Befehl wurde nicht korrekt abgesetzt
											$ausgabe .= "<b>Fehler:</b> Die Datenbank konnte nicht abgefragt werden<br />";
										
										}
									
								}
		
							break;
		
		
		
		case "status":			//'Verffentlicht'-Status wechseln
								
								//Status beziehen
								
								//Verbindung zur Datenbank
								get_db();
								
								//Befehl aufsetzen
								$sql_selection = "SELECT * FROM $db.$table_guestbook WHERE ID='".mysql_real_escape_string($id)."';";
								
								//Ausgabe des Befehls --> testing
								//echo $sql;
								
								//Befehl absetzen
								$res_selection = send_sql($sql_selection);
								
								//Wurde der Befehl korrekt abgesetzt?
								if($res_selection == true)
								{
								
								    //Ja, der Befehl wurde korrekt abgesetzt?
								    
									//Status beziehen
									$temp = mysql_fetch_array($res_selection);
									$status = $temp[1];
									
									//Ausgabe des Status --> testing
									//echo $status;
									
									//Den Status aktualisieren
									
									    //Befehl aufsetzen
									    if($status == 1)
									    {
										//Aktiviert --> deaktiviere
										//$sql_update = "UPDATE $db.$table_guestbook SET PUBLISHED='0', TIMESTAMP='$temp[2]', NAME='$temp[3]', EMAIL='$temp[4]', WEBSITE='$temp[5]', ENTRY='$temp[6]' WHERE ID='$id'";
										$sql_update = "UPDATE $db.$table_guestbook SET PUBLISHED='0' WHERE ID='".mysql_real_escape_string($id)."'";
									    }
									    else
									    {
										//Deaktiviert --> aktiviere
										//$sql_update = "UPDATE $db.$table_guestbook SET PUBLISHED='1', TIMESTAMP='$temp[2]', NAME='$temp[3]', EMAIL='$temp[4]', WEBSITE='$temp[5]', ENTRY='$temp[6]' WHERE ID='$id'";
										$sql_update = "UPDATE $db.$table_guestbook SET PUBLISHED='1' WHERE ID='".mysql_real_escape_string($id)."'";
									    }
									    
									//Ausgabe des Befehls --> testing
									//echo $sql;
									
									//Befehl absetzen
									$res_update = send_sql($sql_update);
									
									//Wurde der Befehl erfolgreich abgesetzt?
									if($res_update == true)
									{
									
									    //Der Befehl wurde erfolgreich ausgefhrt
									    $ausgabe .= "Der Status wurde erfolgreich ge&auml;ndert - klicken Sie <a href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page'>hier</a>, um mit der Administration fortzufahren.<br />";
									
									}
									else
									{
									
									    //Der Befehl konnte nicht erfolgreich abgesetzt werden?
									    $ausgabe .= "<b>Fehler:</b> Der Befehl konnte nicht ausgef&uuml;hrt werden.<br />";
									
									}
								
								}
								else
								{
								
								    //Nein, der Befehl wurde nicht korrekt abgesetzt?
								    $ausgabe .= "<b>Fehler:</b> Die Datenbank konnte nicht abgefragt werden.<br />";
								
								}
		
							break;
							
							
							
		default:				//Ansicht aller Eintrge
								
								//Sind ueberhaupt Eintraege vorhanden?
								
									//Erweiterungen und Konfigurationen beziehen
                                                                        include("conf/db.php");
								
									//Verbindung zur Datenbank herstellen
									get_db();
									
									//Befehl aufsetzen
									$sql_selection = "SELECT * FROM $db.$table_guestbook;";
									
										//Befehl ausgeben --> testing
										//echo $sql_selection;
									
									//Befehl absetzen
									$res_selection = send_sql($sql_selection);
									
									//Wurde der Befehl korrekt abgesetzt?
									if($res_selection == true)
									{
									
										//Ja, der Befehl wurde korrekt abgesetzt --> sind Eintraege vorhanden?
										if(mysql_num_rows($res_selection) <= 0)
										{
										
											//Es sind keine Eintraege vorhanden
											$ausgabe .= "Es sind zurzeit keine G&auml;stebuch-Eintr&auml;ge vorhanden.<br />";
											
										}
										else
										{
										
											//Es sind Eintraege vorhanden
											
												//Seite und ordnendem Feld und Sortierung beziehen
												$page 	= $_GET['page'];
												$order	= $_GET['order'];
												$sort	= $_GET['sort'];
												$hits		= 10;
												
												if($page == "" OR $page == 0) { $page=1; }
												
												//Nach welchem Feld ordnen
												if($order == "") { $order = "ID"; }
												if($sort == "") { $sort = "DESC"; }
												
													//Wurde eine spezielle Seite angefordert?
													if($page == "" OR $page == 1 OR $page == 0)
													{
													
														//Die erste Seite wurde angefordert
														$sql_selection = "SELECT * FROM $db.$table_guestbook ORDER BY ".mysql_real_escape_string($order)." ".mysql_real_escape_string($sort)." LIMIT 0,10;";
													
													}
													else
													{
													
														//Eine andere Seite wurde angefordert
														//echo "Hits ".(($page*$hits)-($hits-1))." bis ".($page*$hits);
														//$sql_selection = "SELECT * FROM $db.$table_guestbook ORDER BY $order $sort LIMIT ".(($page*$hits)-($hits-1)-1).",".($page*$hits).";";
														$sql_selection = "SELECT * FROM $db.$table_guestbook ORDER BY ".mysql_real_escape_string($order)." ".mysql_real_escape_string($sort)." LIMIT ".(($page*$hits)-($hits-1)-1).",10;";
													
													}
													
													//Ausgabe des Befehls --> testing
													//echo $sql_selection;
													
													//Befehl absetzen
													$res_selection = send_sql($sql_selection);
													
													//Wurde der Befehl erfolgreich abgesetzt?
													if($res_selection == true)
													{
													
														//Ja, der Befehl wurde erfolgreich abgesetzt
														
															//Infotext ausgeben
															$ausgabe .= "In der darunterfolgenden Tabelle sind alle G&auml;stebuch-Eintr&auml;ge aufgelistet, jeder Eintrag l&auml;sst sich hier nachtr&auml;glich bearbeiten, so kann er gel&ouml;scht, editiert oder deaktiviert werden.<br />Alternativ k&ouml;nnen Sie <a href='index.php?module=guestbook&amp;group=$group_id&amp;mode=flush'>hier</a> auch das gesamte G&auml;stebuch leeren.<br /><br />";
															
															//Eintraege in einer Tabelle auflisten
															
															//Tabelle beginnen
															$ausgabe .= "<table class='formular' style='width:500px;'>";
															
															//Tabellenheader einleiten
															$ausgabe .= "<tr>";
															
																//ID
																if($sort == "ASC")
																{
																	$ausgabe .= "   <td class='vorgabe'><a class='form' href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page&amp;order=ID&amp;sort=DESC'><b>#</b></a></td>";
																}
																else
																{
																	$ausgabe .= "   <td class='vorgabe'><a class='form' href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page&amp;order=ID&amp;sort=ASC'><b>#</b></a></td>";
																}
																
																//Name
																if($sort == "ASC")
																{
																	$ausgabe .= "   <td class='vorgabe'><a class='form' href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page&amp;order=NAME&amp;sort=DESC'><b>Name</b></a></td>";
																}
																else
																{
																	$ausgabe .= "   <td class='vorgabe'><a class='form' href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page&amp;order=NAME&amp;sort=ASC'><b>Name</b></a></td>";
																}
																
																//Datum
																if($sort == "ASC")
																{
																	$ausgabe .= "   <td class='vorgabe'><a class='form' href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page&amp;order=TIMESTAMP&amp;sort=DESC'><b>Datum</b></a></td>";
																}
																else
																{
																	$ausgabe .= "   <td class='vorgabe'><a class='form' href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page&amp;order=TIMESTAMP&amp;sort=ASC'><b>Datum</b></a></td>";
																}
															
																//Datum
																if($sort == "ASC")
																{
																	$ausgabe .= "   <td class='vorgabe'><a class='form' href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page&amp;order=PUBLISHED&amp;sort=DESC'><b>Status</b></a></td>";
																}
																else
																{
																	$ausgabe .= "   <td class='vorgabe'><a class='form' href='index.php?module=guestbook&amp;group=$group_id&amp;page=$page&amp;order=PUBLISHED&amp;sort=ASC'><b>Status</b></a></td>";
																}
																
															$ausgabe .= "   <td class='vorgabe'><b>Eintrag</b></td>";
															$ausgabe .= "   <td class='vorgabe' colspan='3'><b>Aktion</b></td>";
															$ausgabe .= "</tr>";
															
															//In einer Schleife die Eintraege ausgeben
															for($i=0;$i<mysql_num_rows($res_selection);$i++)
															{
															
																//Nchsten Eintrag im Array zwischenspeichern
																$temp_selection = mysql_fetch_array($res_selection);
																
																//Reihe einleiten
																$ausgabe .= "<tr>";
																
																	//ID
																	$ausgabe .= "   <td class='inhalt'>$temp_selection[0]</td>";
																	
																	//Name
																	if(strlen($temp_selection[3]) > 15)
																	{
																		//Name ist lnger als 15 Zeichen --> krzen
																		$ausgabe .= "   <td class='inhalt'><i>".substr($temp_selection[3], 0, 15)."...</i></td>";
																	}
																	else
																	{
																		//Name ist krzer als 15 Zeichen
																		$ausgabe .= "   <td class='inhalt'><i>$temp_selection[3]</i></td>";
																	}
																
																	//Datum
																	$ausgabe .= "   <td class='inhalt'><i>".date("d.m.y", $temp_selection[2])."</i></td>";
																    
																	//Status
																	if($temp_selection[1] == 1)
																	{
																		//Aktiviert
																		$ausgabe .= "   <td class='inhalt'><i>aktiviert</i></td>";
																	}
																	else
																	{
																		//Deaktiviert
																		$ausgabe .= "   <td class='inhalt'><i><b>gesperrt</b></i></td>";
																	}
																    
																	//Eintrag
																	if(strlen($temp_selection[7]) > 20)
																	{
																		//Der Eintrag ist lnger als 20 Zeichen --> krzen
																		$ausgabe .= "   <td class='inhalt'><i>".substr($temp_selection[7], 0, 20)."...</i></td>";
																	}
																	else
																	{
																		//Der Eintrag ist krzer als 20 Zeichen
																		$ausgabe .= "   <td class='inhalt'><i>$temp_selection[7]</i></td>";
																	}
																    
																	//Links
																    
																		//Eintrag de-/aktivieren
																		if($temp_selection[1] == 1)
																		{
																			//Deaktivieren
																			$ausgabe .= "   <td class='inhalt' style='width:16px; height:16px;'><a href='index.php?module=guestbook&amp;group=$group_id&amp;mode=status&amp;id=$temp_selection[0]'><img src='images/disable.jpg' class='link_icon' alt='Deaktivieren' title='Deaktivieren' /></a></td>";
																		}
																		else
																		{
																			//Aktivieren
																			$ausgabe .= "   <td class='inhalt ' style='width:16px; height:16px;'><a href='index.php?module=guestbook&amp;group=$group_id&amp;mode=status&amp;id=$temp_selection[0]'><img src='images/enable.jpg' class='link_icon' alt='Aktivieren' title='Aktivieren' /></a></td>";
																		}
																	
																		//Editieren
																		$ausgabe .= "   <td class='inhalt' style='width:16px; height:16px;'><a href='index.php?module=guestbook&amp;group=$group_id&amp;mode=modify&amp;id=$temp_selection[0]'><img src='images/edit.jpg' class='link_icon' alt='Editieren' title='Eintrag editieren' /></a></td>";
																	
																		//Lschen
																		$ausgabe .= "   <td class='inhalt' style='width:16px; height:16px;'><a href='index.php?module=guestbook&amp;group=$group_id&amp;mode=delete&amp;id=$temp_selection[0]'><img src='images/delete.jpg' class='link_icon' alt='L&ouml;schen' title='Eintrag l&ouml;schen' /></a></td>";
																
																//Reihe abschlieen
																$ausgabe .= "</tr>";
															
															}
															
															if(($i < 10) OR ($i == 10 AND ($page*$hits) == getNumberOfEntries($table_guestbook))) { $lp_flag = true; }
															
															//Seitenlinks ausgeben
															
																//Zeile beginnen
																$ausgabe .= "<tr>";
																
																//Anzahl der Seiten definieren
																$anzSeiten = ceil(getNumberOfEntries($table_guestbook)/$hits);
																
																if($page == "" OR $page == 1)
																{
																
																	//erste Seite --> Ist noch eine weitere Seite vorhanden?
																	if(getNumberOfEntries($table_guestbook) <= 10)
																	{
																		//Nein, es ist keine weitere Seite vorhanden
																		$ausgabe .= "<td class='vorgabe' colspan='8'>Seite 1 von $anzSeiten</td>";
																	}
																	else
																	{
																		//Ja, es ist eine weitere Seite vorhanden
																		$ausgabe .= "<td class='vorgabe' colspan='7'>Seite 1 von $anzSeiten</td><td class='vorgabe' style='text-align:center'> <a href='index.php?module=guestbook&amp;group=$group_id&amp;page=2&amp;order=$order&amp;sort=$sort'>></a> </td>";
																	}
																
																}
																else
																{

																	//andere Seite --> Wurde das Flag fuer die letzte Seite gesetzt?
																	if($lp_flag == true)
																	{
																		//Ja, es ist gesetzt
																		$ausgabe .= "<td class='vorgabe'><a href='index.php?module=guestbook&amp;group=$group_id&amp;page=".($page-1)."&amp;order=$order&amp;sort=$sort'><</a></td><td class='vorgabe' colspan='7'>Seite $page von $anzSeiten</td>";
																	}
																	else
																	{
																		//Nein, es ist nicht gesetzt
																		$ausgabe .= "<td class='vorgabe'><a href='index.php?module=guestbook&amp;group=$group_id&amp;page=".($page-1)."&amp;order=$order&amp;sort=$sort'><</a></td><td class='vorgabe' colspan='6'>Seite $page von $anzSeiten</td><td class='vorgabe' style='text-align:center'><a href='index.php?module=guestbook&amp;group=$group_id&amp;page=".($page+1)."&amp;order=$order&amp;sort=$sort'>></a></td>";
																	}
																	
																}
																
																//Zeile abschlieen
																$ausgabe .= "</tr>";
																
																//Anzahl der Eintraege anzeigen
																$ausgabe .= "<tr><td class='vorgabe' style='text-align:right;' colspan='8'>".mysql_num_rows($res_selection)." Datensatz/-s&auml;tze von ".getNumberOfEntries($table_guestbook)." Eintrag/Eintr&auml;gen insgesamt.</td></tr>";
															
															//Tabelle abschlieen
															$ausgabe .= "</table>";
															
													
													}
													else
													{
													
														//Nein, der Befehl konnte nicht erfolgreich abgesetzt werden
														$ausgabe .= "<b>Fehler:</b> Die Datenbank konnte nicht abgefragt werden.<br />";
													
													}
													
										
										}
									
									}
									else
									{
									
										//Nein, der Befehl wurde nicht korrekt abgesetzt
										$ausgabe .= "<b>Fehler:</b> Die Datenbank kann nicht abgefragt werden.<br />";
									
									}
									
									//Verbindung zur Datenbank trennen
									close_db();
		
							break;
    
	}
    
	//Ausgabe vornehmen und terminieren
	echo $ausgabe;
	$ausgabe = "";
    
?>