<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de">

	<head>
    
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    
		<?php
        
			//Metadaten aus Datenbank beziehen
			$title =		getSetting('TITLE');
			$description =	getSetting('DESCRIPTION');
			$keywords =    getSetting('KEYWORDS');
			$author =       	getSetting('AUTHOR');
			
			//Ausgabe aufsetzen
			$ausgabe  =     "<title>$title</title>";
			$ausgabe .=     "<meta name='description' content='$description' />";
			$ausgabe .=     "<meta name='author' content='$author' />";
			$ausgabe .=     "<meta name='keywords' content='$keywords' />";
			
			//Ausgabe vornehmen und anschlieend terminieren
			echo $ausgabe;
			$ausgabe = "";
			
			//CSS-Stylesheet laden
			loadCSS();
			
			//bermittelte Parameter beziehen
			$query 	= $_GET["query"];
			$volltext 	= $_GET["volltext"];
        
		?>
        
	</head>
	
	<body>
	
		<!-- Lcke -->
		<div>
			<br />
		</div>

		<!-- Grundgeruest -->
		<table class="geruest">

		<tr>
			
			<!-- Logo -->
			<td colspan="2" class="geruest" id="header">
			
				<div class="header">
				
					<?php
						
						//Ausgabe des Titels und Subtitels
						$subtitle = getSetting('SUBTITLE');
						echo "$title<br /><p class='subtitle'>$subtitle</p><p class='slogan'>".getRandomSlogan()."</p>";
						
					?>

				</div>
                
			</td>
		
		</tr>
		
		<tr>
		
			<td class="geruest" id="linkbar">
			
				<div id="links">
				
					<!-- Suchfeld -->
					<form action="index.php" method="get" style="padding:0px;">
					
						<div style="text-align:left; margin:10px;">
                                
							<?php
							
								//Suchbegriff vorselektieren, falls bereits gesucht
								if($query != "")
								{
									echo "<input type='text' name='query' value='$query' class='feld' />";
								}
								else
								{
									echo "<input type='text' name='query' value='suchbegriff' class='feld' />";
								}
								
							?>
                                
							<input type="submit" value="suchen" class="button" />
						
						</div>
                        
					</form>
                    
                        <br />
                        
			
			
                        <!-- Linkbar -->
                        <ul class="linkbar">
                        
				<?php
				
					//Links dynamisch auflisten --> Array beziehen
					$pages = getPageInformation();
					
					//Einzelne Seiten durchgehen
					for($i=0;$i<count($pages);$i++)
					{
					
						//Links - 1.Klasse
						if($pages[$i][2] == 0)
						{
							
							//Handelt es sich um die angewhlte Seite?
							if($pages[$i][0] == $id)
							{
								
								//Ja, es handelt sich um die angewhlte Seite, zeige Unterseiten
								$ausgabe .= "<li class='link'><a class ='linkbar' style='font-size:8pt;' href='index.php?id=".$pages[$i][0]."'>".$pages[$i][3]."</a></li>";
								
								for($foo=0;$foo<count($pages);$foo++)
								{
								
									if($pages[$foo][2] == $pages[$i][0] AND $pages[$foo][0] != $id) 
									{
										$ausgabe .= "<li class='link'><a class ='linkbar' style='margin-left:10px; font-size:8pt;' href='index.php?id=".$pages[$foo][0]."'>".$pages[$foo][3]."</a></li>";
									}
								
								}
								
							}
							else
							{
								//Nein, es handelt sich um eine andere Seite
								$ausgabe .= "<li class='link'><a class ='linkbar' style='font-size:8pt;' href='index.php?id=".$pages[$i][0]."'>".$pages[$i][3]."</a></li>";
							}
							
						}
						
					
					}
					
					//Ausgabe vornehmen und anschlieend terminieren
					echo $ausgabe;
					$ausgabe = "";
                            
                            ?>
                        
                        </ul>
                    
                    </div>
                
                </td>
                
                <td class="geruest" id="contentspace">
                
                    <div id="content">
                    
                        <?php
                        
                            //Welcher Modus wurde aufgerufen?
                            if($query != "")
                            {
                            
                                //Es wurde nach etwas gesucht --> welcher Suchmodus wurde ausgewhlt?
				if($volltext == true)
				{
					
					//Volltext-Suche
					echo "<b>Volltext-Suche nach:</b> <i>$query</i><br /><br />";
					
					//Suche vornehmen
					include("includes/search.php");
					fulltext_search($query);
					
				}
				else
				{
				
					//Schlagwort-Suche
					echo "<b>Suche nach:</b> <i>$query</i><br /><br />";
					
					//Suche vornehmen
					include("includes/search.php");
					search($query);
                                
                                }
				
				//Formular anzeigen
				$ausgabe .= "<br /><br /><br />";
				$ausgabe .= "<form action='index.php' method='get' style='padding:0px;'>";
				$ausgabe .= "		<div style='text-align:left;'>Suche: ";
				$ausgabe .= "			<input type='text' name='query' value='$query' class='feld' />";
				$ausgabe .= "			<input type='submit' value='suchen' class='button' />";
				//Volltext-Suche vorselektieren, falls sie schon ausgewhlt wurde
				if($volltext == 1)
				{
					$ausgabe .= "			<input type='checkbox' name='volltext' value='1' checked='checked' /> Volltext-Suche";
				}
				else
				{
					$ausgabe .= "			<input type='checkbox' name='volltext' value='1' /> Volltext-Suche";
				}
				$ausgabe .= "		</div>";
				$ausgabe .= "</form>";
				
				//Ausgabe vornehmen und anschlieend terminieren
				echo $ausgabe;
				$ausgabe = "";
                            
                            }
                            else
                            {
                            
                                //Angeforderte Seite anzeigen
                            
                                //Wurde die erste Seite angefordert?
                                if($id == 0)
                                {
                                    
                                    //Die erste Seite wurde angefordert
                                    tryLoadPage(1);
                                    
                                }
                                else
                                {
                                
                                    //Eine andere Seite wurde angefordert
                                    tryLoadPage($id);
                                
                                }
                                
                                //Statistiken pflegen
				$key = getClientKey();
                                insertToDB($id, getClientOS($key), getClientBrowser($key), getClientLang($key), getClientIP($key));
                            
                            }
                            
                        ?>
                    
                    </div>
                
                </td>
            
            </tr>
            
            <tr>
            
                <td colspan="2" class="geruest" id="footer">
                
                    <!-- Footer -->
		    <?php
		    
			//Uhrzeit und Datum anzeigen
			$filetime = filemtime("pages/".getValue($table_pages, "CONTENT", $id));
			
			if($filetime != false)
			{
				echo "<div class='copyright' style='margin-right:5px; text-align:right; font-size:7pt;'>Letzte &Auml;nderung am ".date("d.m.Y", $filetime)." um ".date("H:i", $filetime).".</div>";
			}
			
		    ?>
                
                </td>
            
            </tr>
        
        </table>
        
        <div id="copyright">
        
            <?php
            
                $ausgabe  = getSetting('TITLE')." uses ".getValue($table_themes, "THEME_NAME", getSetting('THEME_USED')).", a theme for <b>phpMyCMS</b><br />";
		$ausgabe .= "2009 &copy; By <a class='copyright' style='font-size:7pt;' href='http://www.stankowic-development.net'>Christian Stankowic</a>. phpMyCMS ist licensed under the GNU Public License<br /><br />";
                $ausgabe .= "<a href='http://www.gnu.org/licenses/gpl-2.0.html'><img src='images/gpl_banner.jpg' alt='GPL v2' class='banner' /></a>";
                $ausgabe .= "<a href='http://validator.w3.org/check?uri=referer'><img src='images/w3c-css.gif' alt='CSS' class='banner'/></a>";
                $ausgabe .= "<a href='http://jigsaw.w3.org/css-validator/check/referer'><img src='images/xhtml11.png' alt='XHTML 1.0' class='banner'/></a><br /><br />";
                echo $ausgabe;
                
            ?>
            
        </div>
	
	</body>
    
</html>